#include "testlib.h"
using namespace std;
int main(int argc, char *argv[])
{   
    registerValidation(argc, argv);
    int n=inf.readInt(1, 100, "N");
    inf.readSpace();
    int m=inf.readInt(1, 100, "M");
    inf.readEoln();
    string zeros = "";
    for(int i=1;i<=n;i++){
        zeros += "0";
    }
    bool nonzero = false;
    for(int i=1;i<=n;i++){
        string s = inf.readLine(format("[0-9]{%d}", m));
        nonzero |= s != zeros;        
    }
    if(!nonzero) {
        quitf(_pe, "Zero-fill matrix");
    }
    inf.readEof();
    return 0;
}

